- Home
- API Enriched
- Telemetry And Insights
- data
- Discovered Service Health Status.
Discovered Service Health Status.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/discovered_services/example/health_status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/discovered_services/example/health_status \ --header 'Authorization: <Authorization>'GET Discovered Service Health status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace in which the Discovered Service is present.
Name
x-required Name of the Discovered Service.
Responses
Section titled “Responses”A successful response.
Response for Discovered Service Health Status Request.
object
Health Status of Discovered Service.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
object
Collection of Pool member health status.
Pool member health.
object
Name of the Virtual Server’s Pool Member.
Health Status of Pool Member.
Metric data contains timestamp and the value.
object
Timestamp
object
Description of the method used to calculate trend.
Configuration parameter for previous value
Configuration parameter for value
Configuration parameter for value
Example
{ "status": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ], "virtual_server_pool_members_health": { "virtual_server_pool_members": [ { "status": [ { "trend_value": { "sentiment": "TREND_SENTIMENT_NONE" } } ] } ] }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example